# Shadowsocks-libev with v2ray-plugin image on Alpine Linux 3.17.0

## Build

```shell
docker build . -t nxhs/shadowsocks-libev-v2ray:latest -t nxhs/shadowsocks-libev-v2ray:3.3.5r1-1.3.2
```

Tag is `<shadowsocks-libev version>-<v2ray-plugin version>`.

## Run

```shell
docker run \
    --detach \
    --name shadowsocks \
    --env SERVER_IP=your_server_ip_address \
    --env PASSWORD=secure_password \
    --publish 8388:8388 \
    --publish 8388:8388/udp \
    --restart always \
    nxhs/shadowsocks-libev-v2ray:latest
```

To view client connection URI and QR-code run:

```shell
docker logs shadowsocks
```

See [client.json](client.json) for client config example. Don't forget install v2ray-plugin on client too.
